Bug 119602 - [patch] devel/cdialog: update to version 20071028
Summary: [patch] devel/cdialog: update to version 20071028
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Boris Samorodov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-12 16:10 UTC by Boris Samorodov
Modified: 2008-01-14 14:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Boris Samorodov freebsd_committer 2008-01-12 16:10:01 UTC
	A new verion is available:
	ftp://invisible-island.net/dialog/

Fix: 

WBR
-- 
bsam--0r6ufCoCMCYaAE6XniMGVrZL5aJ58M0XwlG8sc6q27REK3cY
Content-Type: text/plain; name="cdialog.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="cdialog.diff"

Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/cdialog/Makefile,v
retrieving revision 1.24
diff -u -r1.24 Makefile
--- Makefile	26 Apr 2007 21:56:07 -0000	1.24
+++ Makefile	12 Jan 2008 15:58:08 -0000
@@ -7,7 +7,7 @@
 #
 
 PORTNAME=	cdialog
-PORTVERSION=	1.1.20070409
+PORTVERSION=	1.1.20071028
 PORTEPOCH=	1
 CATEGORIES=	devel
 MASTER_SITES=	ftp://invisible-island.net/dialog/ \
Index: distinfo
===================================================================
RCS file: /home/pcvs/ports/devel/cdialog/distinfo,v
retrieving revision 1.15
diff -u -r1.15 distinfo
--- distinfo	26 Apr 2007 21:56:07 -0000	1.15
+++ distinfo	12 Jan 2008 15:58:08 -0000
@@ -1,3 +1,3 @@
-MD5 (dialog-1.1-20070409.tgz) = f149e9703750d3d3ae89e231cef09364
-SHA256 (dialog-1.1-20070409.tgz) = b8c68e5ab6fd26cd1e9196ab494161a155639e395619cb4bc82b84b16414f333
-SIZE (dialog-1.1-20070409.tgz) = 365567
+MD5 (dialog-1.1-20071028.tgz) = 73604d3b3a43b5a122709a7a8e4edee2
+SHA256 (dialog-1.1-20071028.tgz) = 1841fdd89c1d680c11ea854bc2ea93a08c80ba066d74a5faeb3ff76409e6e751
+SIZE (dialog-1.1-20071028.tgz) = 369837
Index: pkg-plist
===================================================================
RCS file: /home/pcvs/ports/devel/cdialog/pkg-plist,v
retrieving revision 1.12
diff -u -r1.12 pkg-plist
--- pkg-plist	10 Apr 2007 05:40:22 -0000	1.12
+++ pkg-plist	12 Jan 2008 15:58:08 -0000
@@ -51,6 +51,7 @@
 %%EXAMPLESDIR%%/editbox
 %%EXAMPLESDIR%%/editbox-utf8
 %%EXAMPLESDIR%%/editbox2
+%%EXAMPLESDIR%%/editbox3
 %%EXAMPLESDIR%%/form1
 %%EXAMPLESDIR%%/form1-both
 %%EXAMPLESDIR%%/form1-extra
Comment 1 Edwin Groothuis freebsd_committer 2008-01-12 16:10:18 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Boris Samorodov freebsd_committer 2008-01-12 16:52:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bsam

Fix my email and take.
Comment 3 Boris B.Samorodov 2008-01-12 17:21:18 UTC
Looking at the Makefile a little bit more, I'd like to propose adding
an option (-i "") for REINPLACE_CMD and thus no need to remove *.bak.
The complete patch is:

Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/cdialog/Makefile,v
retrieving revision 1.24
diff -u -r1.24 Makefile
--- Makefile	26 Apr 2007 21:56:07 -0000	1.24
+++ Makefile	12 Jan 2008 17:19:12 -0000
@@ -7,7 +7,7 @@
 #
 
 PORTNAME=	cdialog
-PORTVERSION=	1.1.20070409
+PORTVERSION=	1.1.20071028
 PORTEPOCH=	1
 CATEGORIES=	devel
 MASTER_SITES=	ftp://invisible-island.net/dialog/ \
@@ -31,8 +31,7 @@
 INSTALL_TARGET=	install-strip install-man install-lib
 
 post-patch:
-	@${FIND} ${WRKSRC}/samples/ -type f -exec ${REINPLACE_CMD} "s|dialog|cdialog|g" {} \;
-	@${FIND} ${WRKSRC}/samples/ -name "*.bak" -delete
+	@${FIND} ${WRKSRC}/samples/ -type f -exec ${REINPLACE_CMD} -i "" "s|dialog|cdialog|g" {} \;
 
 post-install:
 	@${MKDIR} ${EXAMPLESDIR}
Index: distinfo
===================================================================
RCS file: /home/pcvs/ports/devel/cdialog/distinfo,v
retrieving revision 1.15
diff -u -r1.15 distinfo
--- distinfo	26 Apr 2007 21:56:07 -0000	1.15
+++ distinfo	12 Jan 2008 17:19:12 -0000
@@ -1,3 +1,3 @@
-MD5 (dialog-1.1-20070409.tgz) = f149e9703750d3d3ae89e231cef09364
-SHA256 (dialog-1.1-20070409.tgz) = b8c68e5ab6fd26cd1e9196ab494161a155639e395619cb4bc82b84b16414f333
-SIZE (dialog-1.1-20070409.tgz) = 365567
+MD5 (dialog-1.1-20071028.tgz) = 73604d3b3a43b5a122709a7a8e4edee2
+SHA256 (dialog-1.1-20071028.tgz) = 1841fdd89c1d680c11ea854bc2ea93a08c80ba066d74a5faeb3ff76409e6e751
+SIZE (dialog-1.1-20071028.tgz) = 369837
Index: pkg-plist
===================================================================
RCS file: /home/pcvs/ports/devel/cdialog/pkg-plist,v
retrieving revision 1.12
diff -u -r1.12 pkg-plist
--- pkg-plist	10 Apr 2007 05:40:22 -0000	1.12
+++ pkg-plist	12 Jan 2008 17:19:12 -0000
@@ -51,6 +51,7 @@
 %%EXAMPLESDIR%%/editbox
 %%EXAMPLESDIR%%/editbox-utf8
 %%EXAMPLESDIR%%/editbox2
+%%EXAMPLESDIR%%/editbox3
 %%EXAMPLESDIR%%/form1
 %%EXAMPLESDIR%%/form1-both
 %%EXAMPLESDIR%%/form1-extra
Comment 4 Martin Tournoij 2008-01-13 14:17:32 UTC
Hello Boris,

I already made an update but forgot to submit it after the ports
freeze was over ... :/
The -i argument to REINPLACE_CMD is also a good idea.

Thank you.

Regards,
Martin Tournoij
Comment 5 dfilter service freebsd_committer 2008-01-14 14:21:30 UTC
bsam        2008-01-14 14:21:26 UTC

  FreeBSD ports repository

  Modified files:
    devel/cdialog        Makefile distinfo pkg-plist 
  Log:
  . update to a new version 1.1.20071028;
  . add an option (-i "") to REINPLACE_CMD, thus no need to remove *.bak.
  
  PR:             119602
  Submitted by:   bsam (me)
  Approved by:    Martin Tournoij <carpetsmoker at xs4all.nl> (maintainer)
  
  Revision  Changes    Path
  1.25      +2 -3      ports/devel/cdialog/Makefile
  1.16      +3 -3      ports/devel/cdialog/distinfo
  1.13      +1 -0      ports/devel/cdialog/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Boris Samorodov freebsd_committer 2008-01-14 14:22:11 UTC
State Changed
From-To: feedback->closed

Committed, thanks!